--  E:\151CPROJ\BUTTONSM.vhd
--  VHDL code created by Xilinx's StateCAD 5.03
--  Mon Mar 15 14:52:16 2004

--  This VHDL code (for use with Xilinx XST) was generated using: 
--  one-hot state assignment with boolean code format.
--  Minimization is enabled,  implied else is enabled, 
--  and outputs are speed optimized.

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY BUTTONSM IS
	PORT (CLK,buttonin,RESET: IN std_logic;
		bsignal : OUT std_logic);
END;

ARCHITECTURE BEHAVIOR OF BUTTONSM IS
--	State variables for machine sreg
	SIGNAL STATE0, next_STATE0, STATE1, next_STATE1, STATE2, next_STATE2, STATE3
		, next_STATE3 : std_logic;
	SIGNAL next_bsignal : std_logic;
BEGIN
	PROCESS (CLK, RESET, next_STATE0, next_STATE1, next_STATE2, next_STATE3, 
		next_bsignal)
	BEGIN
		IF ( RESET='0' ) THEN
			STATE0 <= '1';
			STATE1 <= '0';
			STATE2 <= '0';
			STATE3 <= '0';
			bsignal <= '0';
		ELSIF CLK='1' AND CLK'event THEN
			STATE0 <= next_STATE0;
			STATE1 <= next_STATE1;
			STATE2 <= next_STATE2;
			STATE3 <= next_STATE3;
			bsignal <= next_bsignal;
		END IF;
	END PROCESS;

	PROCESS (buttonin,STATE0,STATE1,STATE2,STATE3)
	BEGIN

		IF (( buttonin='0' AND  (STATE0='1')) OR ( buttonin='0' AND  (STATE2='1')))
			 THEN next_STATE0<='1';
		ELSE next_STATE0<='0';
		END IF;

		IF (( buttonin='1' AND  (STATE0='1'))) THEN next_STATE1<='1';
		ELSE next_STATE1<='0';
		END IF;

		IF (( buttonin='1' AND  (STATE2='1')) OR (  (STATE3='1'))) THEN 
			next_STATE2<='1';
		ELSE next_STATE2<='0';
		END IF;

		IF ((  (STATE1='1'))) THEN next_STATE3<='1';
		ELSE next_STATE3<='0';
		END IF;


		IF (( buttonin='1' AND  (STATE0='1')) OR (  (STATE1='1'))) THEN 
			next_bsignal<='1';
		ELSE next_bsignal<='0';
		END IF;
	END PROCESS;
END BEHAVIOR;
