--  E:\MEMIN\MEMREAD.vhd
--  VHDL code created by Xilinx's StateCAD 5.03
--  Thu Mar 11 09:58:18 2004

--  This VHDL code (for use with Xilinx XST) was generated using: 
--  binary encoded state assignment with boolean code format.
--  Minimization is enabled,  implied else is enabled, 
--  and outputs are manually optimized.

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY MEMREAD IS
	PORT (CLK,cr,done,IssueRead,resetn: IN std_logic;
		continue,dr,finished,rdone : OUT std_logic);
END;

ARCHITECTURE BEHAVIOR OF MEMREAD IS
--	State variables for machine sreg
	SIGNAL SV0, next_SV0,SV1, next_SV1,SV2, next_SV2 : std_logic;
	SIGNAL next_dr,next_pre,next_rdone : std_logic;

	SIGNAL pre: std_logic;
BEGIN
	PROCESS (CLK, resetn, next_SV0, next_SV1, next_SV2, next_dr, next_pre, 
		next_rdone)
	BEGIN
		IF ( resetn='0' ) THEN
			SV0 <= '0';
			SV1 <= '0';
			SV2 <= '0';
			dr <= '0';
			pre <= '0';
			rdone <= '0';
		ELSIF CLK='1' AND CLK'event THEN
			SV0 <= next_SV0;
			SV1 <= next_SV1;
			SV2 <= next_SV2;
			dr <= next_dr;
			pre <= next_pre;
			rdone <= next_rdone;
		END IF;
	END PROCESS;

	PROCESS (cr,done,IssueRead,pre,SV0,SV1,SV2)
	BEGIN


		IF (( cr='1' AND SV0='0' AND SV1='1' AND SV2='1' ) OR ( SV0='1' AND SV1='0'
			 AND SV2='0' ) OR ( IssueRead='1' AND SV0='1' AND SV1='0' )) THEN 
			next_SV0<='1';
		ELSE next_SV0<='0';
		END IF;

		IF (( IssueRead='1' AND SV0='0' AND SV1='0' AND SV2='0' ) OR ( done='0' AND
			 SV0='0' AND SV1='1' AND SV2='0' ) OR ( cr='0' AND SV0='0' AND SV1='1' AND 
			SV2='1' )) THEN next_SV1<='1';
		ELSE next_SV1<='0';
		END IF;

		IF (( SV0='0' AND SV1='0' AND SV2='1' ) OR ( SV0='0' AND SV1='1' AND 
			SV2='0' ) OR ( cr='0' AND SV0='0' AND SV2='1' ) OR ( cr='1' AND pre='0' AND 
			SV0='1' AND SV1='0' AND SV2='0' ) OR ( IssueRead='1' AND SV1='0' AND SV2='1' 
			)) THEN next_SV2<='1';
		ELSE next_SV2<='0';
		END IF;

		IF (( SV2='0' AND SV1='1' AND SV0='0' )) THEN continue<='1';
		ELSE continue<='0';
		END IF;

		IF (( cr='1' AND SV0='0' AND SV1='1' AND SV2='1' ) OR ( pre='1' AND SV0='1'
			 AND SV1='0' AND SV2='0' ) OR ( cr='0' AND SV0='1' AND SV1='0' AND SV2='0' ))
			 THEN next_dr<='1';
		ELSE next_dr<='0';
		END IF;

		IF (( SV2='1' AND SV1='0' AND SV0='0' )) THEN finished<='1';
		ELSE finished<='0';
		END IF;

		IF (( done='0' AND SV0='0' AND SV1='1' AND SV2='0' ) OR ( cr='0' AND 
			SV0='0' AND SV1='1' AND SV2='1' )) THEN next_pre<='1';
		ELSE next_pre<='0';
		END IF;

		IF (( cr='1' AND pre='0' AND SV0='1' AND SV1='0' AND SV2='0' ) OR ( 
			IssueRead='1' AND SV0='1' AND SV1='0' AND SV2='1' )) THEN next_rdone<='1';
		ELSE next_rdone<='0';
		END IF;
	END PROCESS;
END BEHAVIOR;
