library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity hit is
    Port ( resetn : in std_logic;
           -- vsync : in std_logic;                                                        -- clk
            button1,button2,button3,button4 : in std_logic;
            bottom1,bottom2,bottom3,bottom4 : in std_logic;
           hit1, hit2, hit3, hit4 : out std_logic_vector(1 downto 0));
end hit;

architecture Behavioral of hit is
signal hitreg1 : std_logic_vector(1 downto 0);
signal hitreg2 : std_logic_vector(1 downto 0);
signal hitreg3 : std_logic_vector(1 downto 0);
signal hitreg4 : std_logic_vector(1 downto 0);
begin
process(button1,button2,button3,button4,bottom1,bottom2,bottom3,bottom4)
begin
if resetn = '0' then
    hitreg1 <= "00";
    hitreg2 <= "00";
    hitreg3 <= "00";
    hitreg4 <= "00";
else

    if bottom1 = '0' then
      --  if button1 = '1' then
            hitreg1 <= "00";
      --  elsif button1 ='0' then
      --      hitreg1 <= "00";
      --  end if;
    elsif bottom1 ='1' then
        if button1 = '1' then
            hitreg1 <= "11";
        elsif button1 ='0' then
            hitreg1 <= "00";
        end if;
    end if;
   if bottom2 = '0' then
      --  if button2 = '1' then
            hitreg2 <= "01";
      --  elsif button2 ='0' then
      --      hitreg2 <= "00";
      --  end if;
    elsif bottom2 ='1' then
        if button2 = '1' then
            hitreg2 <= "11";
        elsif button2 ='0' then
            hitreg2 <= "00";
        end if;
    end if;
    if bottom3 = '0' then
     --   if button3 = '1' then
            hitreg3 <= "01";
     --  elsif button3 ='0' then
     --       hitreg3 <= "00";
     --  end if;
    elsif bottom3 ='1' then
        if button3 = '1' then
            hitreg3 <= "11";
        elsif button3 ='0' then
            hitreg3 <= "00";
        end if;
	 end if;
    if bottom4 = '0' then
 --       if button4 = '1' then
            hitreg4 <= "01";
  --      elsif button4 ='0' then
  --          hitreg4 <= "00";
  --      end if;
    elsif bottom4 ='1' then
        if button4 = '1' then
            hitreg4 <= "11";
        elsif button4 ='0' then
            hitreg4 <= "00";
        end if;
    end if;

    hit1 <= hitreg1;
    hit2 <= hitreg2;
    hit3 <= hitreg3;
    hit4 <= hitreg4;
end if;
end process;

end Behavioral;
