VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName Virtex
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL laddr(18:0)
        SIGNAL lcen
        SIGNAL loen
        SIGNAL lwen
        SIGNAL ppstatus(6:3)
        SIGNAL ldata(15:0)
        SIGNAL bclk
        SIGNAL ppdata(7:0)
        SIGNAL readdone
        SIGNAL ready
        SIGNAL pattern(3:0)
        SIGNAL pattern(3)
        SIGNAL pattern(2)
        SIGNAL pattern(1)
        SIGNAL pattern(0)
        SIGNAL done
        SIGNAL startgame
        SIGNAL read
        SIGNAL clk
        SIGNAL XLXN_34
        SIGNAL resetnn
        SIGNAL resetn
        SIGNAL XLXN_37(18:0)
        SIGNAL XLXN_38(18:0)
        SIGNAL blankn
        SIGNAL pixel(7:0)
        SIGNAL rramce
        SIGNAL triste
        SIGNAL vsync
        SIGNAL hsync
        SIGNAL WRn
        SIGNAL RDn
        SIGNAL pixelclk
        SIGNAL RAMDACD(7:0)
        SIGNAL RS(2:0)
        SIGNAL XLXN_63(119:0)
        SIGNAL hit0(1:0)
        SIGNAL hit1(1:0)
        SIGNAL hit2(1:0)
        SIGNAL hit3(1:0)
        SIGNAL XLXN_69
        SIGNAL XLXN_70
        SIGNAL XLXN_71
        SIGNAL button1
        SIGNAL button2
        SIGNAL button3
        SIGNAL XLXN_72
        SIGNAL XLXN_73
        SIGNAL XLXN_74
        SIGNAL XLXN_75
        SIGNAL XLXN_76
        SIGNAL XLXN_77
        SIGNAL XLXN_79
        SIGNAL XLXN_80
        SIGNAL XLXN_83
        SIGNAL XLXN_85
        SIGNAL XLXN_86
        SIGNAL button4
        SIGNAL f(1:0)
        SIGNAL gdone
        SIGNAL ppp(7:0)
        PORT Output laddr(18:0)
        PORT Output lcen
        PORT Output loen
        PORT Output lwen
        PORT Output ppstatus(6:3)
        PORT BiDirectional ldata(15:0)
        PORT Input ppdata(7:0)
        PORT Output ready
        PORT Input startgame
        PORT Input clk
        PORT Input resetn
        PORT Output blankn
        PORT Output pixel(7:0)
        PORT Output rramce
        PORT Output triste
        PORT Output vsync
        PORT Output hsync
        PORT Output WRn
        PORT Output RDn
        PORT Output pixelclk
        PORT Output RAMDACD(7:0)
        PORT Output RS(2:0)
        PORT Input button1
        PORT Input button2
        PORT Input button3
        PORT Input button4
        PORT Output gdone
        PORT Output done
        PORT Output f(1:0)
        PORT Output ppp(7:0)
        BEGIN BLOCKDEF memin
            TIMESTAMP 2004 3 11 13 58 16
            RECTANGLE N 64 -576 320 0 
            LINE N 64 -544 0 -544 
            RECTANGLE N 0 -556 64 -532 
            LINE N 64 -448 0 -448 
            LINE N 64 -352 0 -352 
            LINE N 64 -256 0 -256 
            RECTANGLE N 0 -268 64 -244 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -64 0 -64 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF top
            TIMESTAMP 2004 3 14 15 48 36
            RECTANGLE N 64 -896 320 0 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -864 384 -864 
            LINE N 320 -736 384 -736 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -620 384 -596 
            LINE N 320 -480 384 -480 
            RECTANGLE N 320 -492 384 -468 
            LINE N 320 -352 384 -352 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCKDEF constaddr
            TIMESTAMP 2004 3 12 19 6 8
            RECTANGLE N 64 -128 320 0 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2001 2 2 12 22 16
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2001 2 2 12 24 32
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF vgatop
            TIMESTAMP 2004 3 22 6 58 54
            RECTANGLE N 64 -704 320 0 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 320 -672 384 -672 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -620 384 -596 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF sloclk
            TIMESTAMP 2004 3 15 15 45 2
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 25 36
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF buttonsm
            TIMESTAMP 2004 3 15 14 52 38
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF slowclkforbutton
            TIMESTAMP 2004 3 15 15 44 54
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF calgrade
            TIMESTAMP 2004 3 15 14 36 44
            RECTANGLE N 64 -448 320 0 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -416 384 -416 
            LINE N 320 -272 384 -272 
            RECTANGLE N 320 -284 384 -260 
            LINE N 320 -128 384 -128 
            RECTANGLE N 320 -140 384 -116 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 memin
            PIN ppdata(7:0) ppdata(7:0)
            PIN clk bclk
            PIN resetn resetnn
            PIN stopaddr(18:0) XLXN_38(18:0)
            PIN startaddr(18:0) XLXN_37(18:0)
            PIN IssueRead read
            PIN lcen lcen
            PIN loen loen
            PIN lwen lwen
            PIN laddr(18:0) laddr(18:0)
            PIN ppstatus(6:3) ppstatus(6:3)
            PIN readdone readdone
            PIN outdata(3:0) pattern(3:0)
            PIN done done
            PIN ldata(15:0) ldata(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 top
            PIN fromvga XLXN_79
            PIN clk bclk
            PIN resetn resetnn
            PIN startgame startgame
            PIN donefrommem done
            PIN readdone readdone
            PIN button1 XLXN_75
            PIN button2 XLXN_76
            PIN button3 XLXN_77
            PIN button4 XLXN_83
            PIN pattern1 pattern(3)
            PIN pattern2 pattern(2)
            PIN pattern3 pattern(1)
            PIN pattern4 pattern(0)
            PIN readmem read
            PIN ready ready
            PIN hit1(1:0) hit0(1:0)
            PIN hit2(1:0) hit1(1:0)
            PIN hit3(1:0) hit2(1:0)
            PIN hit4(1:0) hit3(1:0)
            PIN rows(119:0) XLXN_63(119:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 bufg
            PIN I XLXN_34
            PIN O bclk
        END BLOCK
        BEGIN BLOCK XLXI_7 ibuf
            PIN I clk
            PIN O XLXN_34
        END BLOCK
        BEGIN BLOCK XLXI_8 ibuf
            PIN I resetn
            PIN O resetnn
        END BLOCK
        BEGIN BLOCK XLXI_10 constaddr
            PIN startaddr(18:0) XLXN_37(18:0)
            PIN stopaddr(18:0) XLXN_38(18:0)
        END BLOCK
        BEGIN BLOCK XLXI_12 vgatop
            PIN clk bclk
            PIN rstn resetnn
            PIN sdone gdone
            PIN grade(1:0) f(1:0)
            PIN hit4(1:0) hit3(1:0)
            PIN hit3(1:0) hit2(1:0)
            PIN hit2(1:0) hit1(1:0)
            PIN hit1(1:0) hit0(1:0)
            PIN inin(119:0) XLXN_63(119:0)
            PIN blankn blankn
            PIN pixel(7:0) pixel(7:0)
            PIN rramce rramce
            PIN triste triste
            PIN vsync vsync
            PIN hsync hsync
            PIN WRn WRn
            PIN RDn RDn
            PIN pixelclk pixelclk
            PIN RAMDACD(7:0) RAMDACD(7:0)
            PIN RS(2:0) RS(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_14 sloclk
            PIN clkin vsync
            PIN clkout XLXN_79
        END BLOCK
        BEGIN BLOCK XLXI_20 inv
            PIN I XLXN_71
            PIN O XLXN_72
        END BLOCK
        BEGIN BLOCK XLXI_21 inv
            PIN I XLXN_69
            PIN O XLXN_73
        END BLOCK
        BEGIN BLOCK XLXI_22 inv
            PIN I XLXN_70
            PIN O XLXN_74
        END BLOCK
        BEGIN BLOCK XLXI_23 ibuf
            PIN I button1
            PIN O XLXN_71
        END BLOCK
        BEGIN BLOCK XLXI_24 ibuf
            PIN I button2
            PIN O XLXN_69
        END BLOCK
        BEGIN BLOCK XLXI_25 ibuf
            PIN I button3
            PIN O XLXN_70
        END BLOCK
        BEGIN BLOCK XLXI_26 buttonsm
            PIN CLK XLXN_80
            PIN buttonin XLXN_72
            PIN RESET resetnn
            PIN bsignal XLXN_75
        END BLOCK
        BEGIN BLOCK XLXI_27 buttonsm
            PIN CLK XLXN_80
            PIN buttonin XLXN_73
            PIN RESET resetnn
            PIN bsignal XLXN_76
        END BLOCK
        BEGIN BLOCK XLXI_28 buttonsm
            PIN CLK XLXN_80
            PIN buttonin XLXN_74
            PIN RESET resetnn
            PIN bsignal XLXN_77
        END BLOCK
        BEGIN BLOCK XLXI_29 slowclkforbutton
            PIN clkin vsync
            PIN clkout XLXN_80
        END BLOCK
        BEGIN BLOCK XLXI_30 buttonsm
            PIN CLK XLXN_80
            PIN buttonin XLXN_85
            PIN RESET resetnn
            PIN bsignal XLXN_83
        END BLOCK
        BEGIN BLOCK XLXI_31 inv
            PIN I XLXN_86
            PIN O XLXN_85
        END BLOCK
        BEGIN BLOCK XLXI_32 ibuf
            PIN I button4
            PIN O XLXN_86
        END BLOCK
        BEGIN BLOCK XLXI_34 calgrade
            PIN slowclk XLXN_79
            PIN resetn resetnn
            PIN done done
            PIN hit0(1:0) hit0(1:0)
            PIN hit1(1:0) hit1(1:0)
            PIN hit2(1:0) hit2(1:0)
            PIN hit3(1:0) hit3(1:0)
            PIN gdone gdone
            PIN fgrade(1:0) f(1:0)
            PIN gout(7:0) ppp(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN INSTANCE XLXI_1 2704 2688 R0
        END INSTANCE
        BEGIN BRANCH laddr(18:0)
            WIRE 3088 2336 3104 2336
            WIRE 3104 2336 3248 2336
        END BRANCH
        IOMARKER 3248 2336 laddr(18:0)
        BEGIN BRANCH lcen
            WIRE 3088 2144 3104 2144
            WIRE 3104 2144 3264 2144
        END BRANCH
        BEGIN BRANCH loen
            WIRE 3088 2208 3104 2208
            WIRE 3104 2208 3248 2208
        END BRANCH
        BEGIN BRANCH lwen
            WIRE 3088 2272 3104 2272
            WIRE 3104 2272 3248 2272
        END BRANCH
        IOMARKER 3264 2144 lcen
        IOMARKER 3248 2208 loen
        IOMARKER 3248 2272 lwen
        BEGIN BRANCH ppstatus(6:3)
            WIRE 3088 2400 3104 2400
            WIRE 3104 2400 3200 2400
        END BRANCH
        IOMARKER 3200 2400 ppstatus(6:3)
        BEGIN BRANCH ldata(15:0)
            WIRE 3088 2656 3104 2656
            WIRE 3104 2656 3296 2656
        END BRANCH
        IOMARKER 3296 2656 ldata(15:0)
        BEGIN BRANCH bclk
            WIRE 2640 2240 2656 2240
            WIRE 2656 2240 2704 2240
        END BRANCH
        BEGIN BRANCH ppdata(7:0)
            WIRE 2640 2144 2688 2144
            WIRE 2688 2144 2704 2144
        END BRANCH
        IOMARKER 2640 2144 ppdata(7:0)
        BEGIN BRANCH readdone
            WIRE 3088 2464 3104 2464
            WIRE 3104 2464 3840 2464
            WIRE 3840 2288 3840 2464
            WIRE 3840 2288 4464 2288
        END BRANCH
        BEGIN BRANCH resetnn
            WIRE 4288 2096 4304 2096
            WIRE 4304 2096 4464 2096
            BEGIN DISPLAY 4288 2096 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ready
            WIRE 4848 2096 4912 2096
            WIRE 4912 2096 4944 2096
            WIRE 4944 2096 4960 2096
        END BRANCH
        BEGIN BRANCH pattern(3:0)
            WIRE 3088 2528 3488 2528
            DISPLAY 3488 2528 ATTR Name
        END BRANCH
        BEGIN BRANCH pattern(3)
            WIRE 4144 2608 4160 2608
            WIRE 4160 2608 4464 2608
            BEGIN DISPLAY 4144 2608 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pattern(2)
            WIRE 4048 2672 4064 2672
            WIRE 4064 2672 4464 2672
            BEGIN DISPLAY 4048 2672 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pattern(1)
            WIRE 4096 2736 4112 2736
            WIRE 4112 2736 4464 2736
            BEGIN DISPLAY 4096 2736 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pattern(0)
            WIRE 4192 2800 4208 2800
            WIRE 4208 2800 4464 2800
            BEGIN DISPLAY 4192 2800 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH done
            WIRE 3088 2592 3104 2592
            WIRE 3104 2592 3712 2592
            WIRE 3712 2224 3712 2592
            WIRE 3712 2224 4464 2224
        END BRANCH
        BEGIN BRANCH startgame
            WIRE 4112 2160 4128 2160
            WIRE 4128 2160 4368 2160
            WIRE 4368 2160 4464 2160
        END BRANCH
        BEGIN BRANCH read
            WIRE 4848 1968 4944 1968
            WIRE 4944 1968 4960 1968
            DISPLAY 4960 1968 ATTR Name
        END BRANCH
        BEGIN BRANCH clk
            WIRE 2048 2240 2064 2240
            WIRE 2064 2240 2128 2240
            WIRE 2128 2240 2144 2240
        END BRANCH
        BEGIN BRANCH bclk
            WIRE 4352 2032 4368 2032
            WIRE 4368 2032 4464 2032
            BEGIN DISPLAY 4352 2032 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_34
            WIRE 2368 2240 2416 2240
        END BRANCH
        IOMARKER 2048 2240 clk
        INSTANCE XLXI_7 2144 2272 R0
        INSTANCE XLXI_6 2416 2272 R0
        INSTANCE XLXI_8 2320 2368 R0
        BEGIN BRANCH resetnn
            WIRE 2544 2336 2608 2336
            WIRE 2608 2336 2704 2336
            BEGIN DISPLAY 2608 2336 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetn
            WIRE 2272 2336 2320 2336
        END BRANCH
        IOMARKER 2272 2336 resetn
        BEGIN INSTANCE XLXI_10 2032 2544 R0
        END INSTANCE
        BEGIN BRANCH XLXN_37(18:0)
            WIRE 2416 2448 2432 2448
            WIRE 2432 2448 2432 2528
            WIRE 2432 2528 2704 2528
        END BRANCH
        BEGIN BRANCH XLXN_38(18:0)
            WIRE 2416 2512 2560 2512
            WIRE 2560 2432 2560 2512
            WIRE 2560 2432 2704 2432
        END BRANCH
        BEGIN BRANCH read
            WIRE 2624 2624 2704 2624
            BEGIN DISPLAY 2624 2624 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2 4464 2832 R0
        END INSTANCE
        IOMARKER 4112 2160 startgame
        IOMARKER 4960 2096 ready
        BEGIN BRANCH bclk
            WIRE 5360 2096 5376 2096
            WIRE 5376 2096 5472 2096
            WIRE 5472 2096 5712 2096
            BEGIN DISPLAY 5360 2096 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetnn
            WIRE 5360 2176 5376 2176
            WIRE 5376 2176 5456 2176
            WIRE 5456 2176 5472 2176
            WIRE 5472 2160 5472 2176
            WIRE 5472 2160 5712 2160
            BEGIN DISPLAY 5360 2176 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH blankn
            WIRE 6096 2096 6176 2096
            WIRE 6176 2096 6192 2096
        END BRANCH
        BEGIN BRANCH pixel(7:0)
            WIRE 6096 2160 6176 2160
            WIRE 6176 2160 6192 2160
        END BRANCH
        BEGIN BRANCH rramce
            WIRE 6096 2224 6176 2224
            WIRE 6176 2224 6192 2224
        END BRANCH
        BEGIN BRANCH triste
            WIRE 6096 2288 6160 2288
            WIRE 6160 2288 6176 2288
        END BRANCH
        BEGIN BRANCH vsync
            WIRE 6096 2352 6176 2352
            WIRE 6176 2352 6192 2352
        END BRANCH
        BEGIN BRANCH hsync
            WIRE 6096 2416 6176 2416
            WIRE 6176 2416 6192 2416
        END BRANCH
        BEGIN BRANCH WRn
            WIRE 6096 2480 6192 2480
            WIRE 6192 2480 6208 2480
        END BRANCH
        BEGIN BRANCH RDn
            WIRE 6096 2544 6176 2544
            WIRE 6176 2544 6192 2544
        END BRANCH
        BEGIN BRANCH pixelclk
            WIRE 6096 2608 6176 2608
            WIRE 6176 2608 6192 2608
        END BRANCH
        BEGIN BRANCH RAMDACD(7:0)
            WIRE 6096 2672 6176 2672
            WIRE 6176 2672 6192 2672
        END BRANCH
        BEGIN BRANCH RS(2:0)
            WIRE 6096 2736 6176 2736
            WIRE 6176 2736 6192 2736
        END BRANCH
        BEGIN BRANCH XLXN_63(119:0)
            WIRE 4848 2736 4864 2736
            WIRE 4864 2736 5472 2736
            WIRE 5472 2736 5632 2736
            WIRE 5632 2608 5632 2736
            WIRE 5632 2608 5712 2608
        END BRANCH
        BEGIN BRANCH vsync
            WIRE 2960 1968 2976 1968
            WIRE 2976 1968 3008 1968
            WIRE 3008 1968 3072 1968
            BEGIN DISPLAY 2960 1968 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH hit0(1:0)
            WIRE 4848 2224 4864 2224
            WIRE 4864 2224 5152 2224
            WIRE 5152 2224 5152 2656
            WIRE 5152 2656 5472 2656
            WIRE 5472 2656 5616 2656
            WIRE 5616 2544 5616 2656
            WIRE 5616 2544 5712 2544
        END BRANCH
        BEGIN BRANCH hit1(1:0)
            WIRE 4848 2352 4864 2352
            WIRE 4864 2352 5136 2352
            WIRE 5136 2352 5136 2576
            WIRE 5136 2576 5472 2576
            WIRE 5472 2576 5600 2576
            WIRE 5600 2480 5600 2576
            WIRE 5600 2480 5712 2480
        END BRANCH
        BEGIN BRANCH hit2(1:0)
            WIRE 4848 2480 4864 2480
            WIRE 4864 2480 5120 2480
            WIRE 5120 2480 5120 2496
            WIRE 5120 2496 5472 2496
            WIRE 5472 2480 5472 2496
            WIRE 5472 2480 5584 2480
            WIRE 5584 2416 5584 2480
            WIRE 5584 2416 5712 2416
        END BRANCH
        BEGIN BRANCH hit3(1:0)
            WIRE 4848 2608 4864 2608
            WIRE 4864 2608 5104 2608
            WIRE 5104 2416 5104 2608
            WIRE 5104 2416 5472 2416
            WIRE 5472 2352 5472 2416
            WIRE 5472 2352 5712 2352
        END BRANCH
        BEGIN BRANCH XLXN_69
            WIRE 3200 3216 3216 3216
            WIRE 3216 3216 3264 3216
        END BRANCH
        BEGIN BRANCH XLXN_70
            WIRE 3280 3600 3344 3600
        END BRANCH
        BEGIN BRANCH XLXN_71
            WIRE 3200 2928 3248 2928
        END BRANCH
        BEGIN BRANCH button1
            WIRE 2928 2928 2960 2928
            WIRE 2960 2928 2976 2928
        END BRANCH
        BEGIN BRANCH button2
            WIRE 2928 3216 2976 3216
        END BRANCH
        BEGIN BRANCH button3
            WIRE 2992 3600 3056 3600
        END BRANCH
        IOMARKER 2928 2928 button1
        INSTANCE XLXI_20 3248 2960 R0
        INSTANCE XLXI_23 2976 2960 R0
        IOMARKER 2992 3600 button3
        INSTANCE XLXI_22 3344 3632 R0
        INSTANCE XLXI_25 3056 3632 R0
        IOMARKER 2928 3216 button2
        INSTANCE XLXI_21 3264 3248 R0
        INSTANCE XLXI_24 2976 3248 R0
        BEGIN BRANCH XLXN_72
            WIRE 3472 2928 3488 2928
            WIRE 3488 2928 3616 2928
        END BRANCH
        BEGIN INSTANCE XLXI_28 3616 3696 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_26 3616 3024 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_27 3616 3312 R0
        END INSTANCE
        BEGIN BRANCH XLXN_73
            WIRE 3488 3216 3616 3216
        END BRANCH
        BEGIN BRANCH XLXN_74
            WIRE 3568 3600 3616 3600
        END BRANCH
        BEGIN BRANCH XLXN_75
            WIRE 4000 2864 4224 2864
            WIRE 4224 2352 4224 2864
            WIRE 4224 2352 4448 2352
            WIRE 4448 2352 4464 2352
        END BRANCH
        BEGIN BRANCH XLXN_76
            WIRE 4000 3152 4176 3152
            WIRE 4176 2416 4176 3152
            WIRE 4176 2416 4464 2416
        END BRANCH
        BEGIN BRANCH XLXN_77
            WIRE 4000 3536 4240 3536
            WIRE 4240 2480 4240 3536
            WIRE 4240 2480 4464 2480
        END BRANCH
        BEGIN INSTANCE XLXI_14 3072 2000 R0
        END INSTANCE
        BEGIN BRANCH resetnn
            WIRE 3456 2992 3472 2992
            WIRE 3472 2992 3616 2992
            BEGIN DISPLAY 3456 2992 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetnn
            WIRE 3472 3280 3616 3280
            BEGIN DISPLAY 3472 3280 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetnn
            WIRE 3488 3664 3616 3664
            BEGIN DISPLAY 3488 3664 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_79
            WIRE 3456 1968 3552 1968
            WIRE 3552 1968 4432 1968
            WIRE 4432 1968 4448 1968
            WIRE 4448 1968 4464 1968
            WIRE 4432 1968 4432 2400
            WIRE 4432 2400 4448 2400
            WIRE 4448 2400 4448 2896
            WIRE 4448 2896 4960 2896
        END BRANCH
        BEGIN BRANCH XLXN_80
            WIRE 2416 3152 2528 3152
            WIRE 2528 3152 2528 3536
            WIRE 2528 3536 3616 3536
            WIRE 2528 3536 2528 3856
            WIRE 2528 3856 3616 3856
            WIRE 2528 3152 3616 3152
            WIRE 2528 2864 2528 3152
            WIRE 2528 2864 3616 2864
        END BRANCH
        BEGIN INSTANCE XLXI_29 2032 3184 R0
        END INSTANCE
        BEGIN BRANCH vsync
            WIRE 1920 3152 1936 3152
            WIRE 1936 3152 2032 3152
            BEGIN DISPLAY 1920 3152 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_30 3616 4016 R0
        END INSTANCE
        BEGIN BRANCH XLXN_83
            WIRE 4000 3856 4352 3856
            WIRE 4352 2544 4352 3856
            WIRE 4352 2544 4464 2544
        END BRANCH
        BEGIN BRANCH resetnn
            WIRE 3392 3984 3616 3984
            BEGIN DISPLAY 3392 3984 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_31 3360 3952 R0
        BEGIN BRANCH XLXN_85
            WIRE 3584 3920 3616 3920
        END BRANCH
        BEGIN BRANCH XLXN_86
            WIRE 3328 3920 3360 3920
        END BRANCH
        BEGIN BRANCH button4
            WIRE 3024 3920 3056 3920
            WIRE 3056 3920 3088 3920
            WIRE 3088 3920 3104 3920
        END BRANCH
        INSTANCE XLXI_32 3104 3952 R0
        IOMARKER 3024 3920 button4
        BEGIN BRANCH f(1:0)
            WIRE 5344 3040 5456 3040
            WIRE 5456 2336 5472 2336
            WIRE 5456 2336 5456 3040
            WIRE 5472 2288 5472 2336
            WIRE 5472 2288 5696 2288
            WIRE 5696 2288 5712 2288
        END BRANCH
        BEGIN BRANCH hit0(1:0)
            WIRE 4912 3088 4928 3088
            WIRE 4928 3088 4960 3088
            BEGIN DISPLAY 4912 3088 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH hit1(1:0)
            WIRE 4912 3152 4928 3152
            WIRE 4928 3152 4960 3152
            BEGIN DISPLAY 4912 3152 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH hit2(1:0)
            WIRE 4912 3216 4928 3216
            WIRE 4928 3216 4960 3216
            BEGIN DISPLAY 4912 3216 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH hit3(1:0)
            WIRE 4912 3280 4928 3280
            WIRE 4928 3280 4960 3280
            BEGIN DISPLAY 4912 3280 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetnn
            WIRE 4912 2960 4928 2960
            WIRE 4928 2960 4960 2960
            BEGIN DISPLAY 4912 2960 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH done
            WIRE 4912 3024 4928 3024
            WIRE 4928 3024 4960 3024
            BEGIN DISPLAY 4912 3024 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH gdone
            WIRE 5344 2896 5392 2896
            WIRE 5392 2256 5392 2896
            WIRE 5392 2256 5472 2256
            WIRE 5472 2224 5472 2256
            WIRE 5472 2224 5696 2224
            WIRE 5696 2224 5712 2224
        END BRANCH
        BEGIN INSTANCE XLXI_34 4960 3312 R0
        END INSTANCE
        BEGIN BRANCH gdone
            WIRE 5040 3728 5568 3728
        END BRANCH
        IOMARKER 5568 3728 gdone
        BEGIN BRANCH done
            WIRE 5056 3616 5376 3616
        END BRANCH
        IOMARKER 5376 3616 done
        BEGIN BRANCH f(1:0)
            WIRE 5088 3520 5312 3520
        END BRANCH
        IOMARKER 5312 3520 f(1:0)
        BEGIN BRANCH ppp(7:0)
            WIRE 5344 3184 5472 3184
            WIRE 5472 3184 5472 3200
            WIRE 5472 3200 5472 3216
        END BRANCH
        IOMARKER 5472 3216 ppp(7:0)
        IOMARKER 6192 2096 blankn
        IOMARKER 6192 2160 pixel(7:0)
        IOMARKER 6192 2224 rramce
        IOMARKER 6176 2288 triste
        IOMARKER 6192 2352 vsync
        IOMARKER 6192 2416 hsync
        IOMARKER 6208 2480 WRn
        IOMARKER 6192 2544 RDn
        IOMARKER 6192 2608 pixelclk
        IOMARKER 6192 2672 RAMDACD(7:0)
        IOMARKER 6192 2736 RS(2:0)
        BEGIN INSTANCE XLXI_12 5712 2768 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
