library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity out4bit is
    Port ( count : in std_logic_vector(1 downto 0);
		   datain: in std_logic_vector(15 downto 0);
           outdata : out std_logic_vector(3 downto 0));
end out4bit;

architecture Behavioral of out4bit is

begin
	process(count)
	begin
	case count is
		when "00" => outdata <= datain(15 downto 12);
		when "01" => outdata <= datain(11 downto 8);
		when "10" => outdata <= datain(7 downto 4);
		when "11" => outdata <= datain(3 downto 0);
		when others => outdata <="1111";
	end case;
	end process;
end Behavioral;
