-- Vhdl model created from schematic test.sch - Thu Mar 11 13:42:16 2004

LIBRARY ieee;
LIBRARY UNISIM;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE UNISIM.Vcomponents.ALL;

ENTITY test IS
   PORT ( clk	:	IN	STD_LOGIC; 
          donefrommem	:	IN	STD_LOGIC; 
          pattern1	:	IN	STD_LOGIC; 
          pattern2	:	IN	STD_LOGIC; 
          pattern3	:	IN	STD_LOGIC; 
          pattern4	:	IN	STD_LOGIC; 
          readdone	:	IN	STD_LOGIC; 
          requestfromvga	:	IN	STD_LOGIC; 
          resetn	:	IN	STD_LOGIC; 
          startgame	:	IN	STD_LOGIC; 
          readmem	:	OUT	STD_LOGIC; 
          ready	:	OUT	STD_LOGIC; 
          row1	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
          row2	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0));

end test;

ARCHITECTURE SCHEMATIC OF test IS
   SIGNAL XLXN_17	:	STD_LOGIC;
   SIGNAL XLXN_19	:	STD_LOGIC;
   SIGNAL XLXN_20	:	STD_LOGIC;
   SIGNAL XLXN_21	:	STD_LOGIC;
   SIGNAL x	:	STD_LOGIC;

   ATTRIBUTE fpga_dont_touch : STRING ;
   ATTRIBUTE fpga_dont_touch OF XLXI_7 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_5 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_6 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_8 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_2 : LABEL IS "true";

   COMPONENT top
      PORT ( requestfromvga	:	IN	STD_LOGIC; 
             clk	:	IN	STD_LOGIC; 
             resetn	:	IN	STD_LOGIC; 
             startgame	:	IN	STD_LOGIC; 
             donefrommem	:	IN	STD_LOGIC; 
             readdone	:	IN	STD_LOGIC; 
             button1	:	IN	STD_LOGIC; 
             button2	:	IN	STD_LOGIC; 
             button3	:	IN	STD_LOGIC; 
             button4	:	IN	STD_LOGIC; 
             pattern1	:	IN	STD_LOGIC; 
             pattern2	:	IN	STD_LOGIC; 
             pattern3	:	IN	STD_LOGIC; 
             pattern4	:	IN	STD_LOGIC; 
             readmem	:	OUT	STD_LOGIC; 
             ready	:	OUT	STD_LOGIC; 
             hit1	:	OUT	STD_LOGIC_VECTOR (1 DOWNTO 0); 
             hit2	:	OUT	STD_LOGIC_VECTOR (1 DOWNTO 0); 
             hit3	:	OUT	STD_LOGIC_VECTOR (1 DOWNTO 0); 
             hit4	:	OUT	STD_LOGIC_VECTOR (1 DOWNTO 0); 
             row1	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row2	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row3	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row4	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row5	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row6	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row7	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row8	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row9	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row10	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row11	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row12	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row13	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row14	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row15	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row16	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row17	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row18	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row19	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row20	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row21	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row22	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row23	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row24	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row25	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row26	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row27	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row28	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row29	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row30	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row31	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row32	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row33	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row34	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row35	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row36	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row37	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row38	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row39	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row40	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row41	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row42	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row43	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row44	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row45	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row46	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row47	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row48	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row49	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             row50	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0));
   END COMPONENT;

BEGIN

   XLXI_7 : BUFG
      PORT MAP (I=>XLXN_19, O=>XLXN_20);

   XLXI_5 : IBUF
      PORT MAP (I=>resetn, O=>XLXN_21);

   XLXI_6 : IBUF
      PORT MAP (I=>clk, O=>XLXN_19);

   XLXI_8 : IBUF
      PORT MAP (I=>requestfromvga, O=>x);

   XLXI_1 : top
      PORT MAP (requestfromvga=>x, clk=>XLXN_20, resetn=>XLXN_21,
      startgame=>startgame, donefrommem=>donefrommem, readdone=>readdone,
      button1=>XLXN_17, button2=>XLXN_17, button3=>XLXN_17, button4=>XLXN_17,
      pattern1=>pattern1, pattern2=>pattern2, pattern3=>pattern3,
      pattern4=>pattern4, readmem=>readmem, ready=>ready, hit1=>open,
      hit2=>open, hit3=>open, hit4=>open, row1(3)=>row1(3), row1(2)=>row1(2),
      row1(1)=>row1(1), row1(0)=>row1(0), row2(3)=>row2(3), row2(2)=>row2(2),
      row2(1)=>row2(1), row2(0)=>row2(0), row3=>open, row4=>open, row5=>open,
      row6=>open, row7=>open, row8=>open, row9=>open, row10=>open, row11=>open,
      row12=>open, row13=>open, row14=>open, row15=>open, row16=>open,
      row17=>open, row18=>open, row19=>open, row20=>open, row21=>open,
      row22=>open, row23=>open, row24=>open, row25=>open, row26=>open,
      row27=>open, row28=>open, row29=>open, row30=>open, row31=>open,
      row32=>open, row33=>open, row34=>open, row35=>open, row36=>open,
      row37=>open, row38=>open, row39=>open, row40=>open, row41=>open,
      row42=>open, row43=>open, row44=>open, row45=>open, row46=>open,
      row47=>open, row48=>open, row49=>open, row50=>open);

   XLXI_2 : VCC
      PORT MAP (P=>XLXN_17);

END SCHEMATIC;



