--  E:\MEMIN\SHIFCTRL.vhd
--  VHDL code created by Xilinx's StateCAD 5.03
--  Thu Mar 11 14:51:42 2004

--  This VHDL code (for use with Xilinx XST) was generated using: 
--  binary encoded state assignment with boolean code format.
--  Minimization is enabled,  implied else is enabled, 
--  and outputs are speed optimized.

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY SHIFCTRL IS
	PORT (CLK,done,fromvga,readdone,resetL,startgame: IN std_logic;
		readmem,ready,resetn,shift : OUT std_logic);
END;

ARCHITECTURE BEHAVIOR OF SHIFCTRL IS
--	State variables for machine sreg
	SIGNAL SV0, next_SV0,SV1, next_SV1,SV2, next_SV2 : std_logic;
	SIGNAL next_doshift,next_readmem,next_ready,next_resetn : std_logic;

	SIGNAL doshift: std_logic;
BEGIN
	PROCESS (CLK, resetL, next_SV0, next_SV1, next_SV2, next_doshift, 
		next_readmem, next_ready, next_resetn)
	BEGIN
		IF ( resetL='0' ) THEN
			SV0 <= '0';
			SV1 <= '0';
			SV2 <= '0';
			doshift <= '0';
			readmem <= '0';
			ready <= '0';
			resetn <= '0';
		ELSIF CLK='1' AND CLK'event THEN
			SV0 <= next_SV0;
			SV1 <= next_SV1;
			SV2 <= next_SV2;
			doshift <= next_doshift;
			readmem <= next_readmem;
			ready <= next_ready;
			resetn <= next_resetn;
		END IF;
	END PROCESS;

	PROCESS (done,fromvga,readdone,startgame,SV0,SV1,SV2)
	BEGIN


		IF (( fromvga='1' AND SV0='0' AND SV1='1' AND SV2='1' ) OR ( fromvga='1' 
			AND SV0='1' AND SV1='0' AND SV2='0' )) THEN next_SV0<='1';
		ELSE next_SV0<='0';
		END IF;

		IF (( readdone='1' AND SV0='0' AND SV1='0' AND SV2='1' ) OR ( SV0='0' AND 
			SV1='1' AND SV2='0' ) OR ( fromvga='0' AND SV0='0' AND SV1='1' )) THEN 
			next_SV1<='1';
		ELSE next_SV1<='0';
		END IF;

		IF (( startgame='1' AND SV0='0' AND SV2='0' ) OR ( readdone='0' AND SV0='0'
			 AND SV1='0' AND SV2='1' ) OR ( done='0' AND fromvga='0' AND SV0='1' AND 
			SV1='0' AND SV2='0' ) OR ( SV0='0' AND SV1='1' AND SV2='0' ) OR ( fromvga='0'
			 AND SV0='0' AND SV1='1' )) THEN next_SV2<='1';
		ELSE next_SV2<='0';
		END IF;

		IF (( readdone='1' AND SV0='0' AND SV1='0' AND SV2='1' )) THEN 
			next_doshift<='1';
		ELSE next_doshift<='0';
		END IF;

		IF (( startgame='1' AND SV0='0' AND SV1='0' AND SV2='0' ) OR ( readdone='0'
			 AND SV0='0' AND SV1='0' AND SV2='1' ) OR ( done='0' AND fromvga='0' AND 
			SV0='1' AND SV1='0' AND SV2='0' )) THEN next_readmem<='1';
		ELSE next_readmem<='0';
		END IF;

		IF (( SV0='0' AND SV1='1' AND SV2='0' ) OR ( fromvga='0' AND SV0='0' AND 
			SV1='1' )) THEN next_ready<='1';
		ELSE next_ready<='0';
		END IF;

		IF (( startgame='1' AND SV0='0' ) OR ( done='0' AND SV0='1' AND SV1='0' AND
			 SV2='0' ) OR ( SV0='0' AND SV1='1' ) OR ( SV0='0' AND SV2='1' ) OR ( 
			fromvga='1' AND SV0='1' AND SV1='0' AND SV2='0' )) THEN next_resetn<='1';
		ELSE next_resetn<='0';
		END IF;
		shift <= doshift;
	END PROCESS;
END BEHAVIOR;
