library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity calgrade is
    Port ( slowclk : in std_logic;
	        hit0 : in std_logic_vector(1 downto 0);
           hit1 : in std_logic_vector(1 downto 0);
           hit2 : in std_logic_vector(1 downto 0);
           hit3 : in std_logic_vector(1 downto 0);
			  resetn: in std_logic;
           done : in std_logic;
           gdone : out std_logic;
           fgrade : out std_logic_vector(1 downto 0);
			  gout: out std_logic_vector(7 downto 0));
end calgrade;

architecture Behavioral of calgrade is
signal final : std_logic_vector(7 downto 0);
--integer range 0 to 200:= 0;
--signal grade : integer := 0;
--signal dsig : std_logic;
begin
	
process(hit0,hit1,hit2,hit3,done,resetn, slowclk)
variable g0,g1,g2,g3 : std_logic_vector(7 downto 0);
--variable final : integer range 0 to 100;
begin
--	grade :=0;
	

	if ( resetn = '0') then
		final <= "00000000";
		fgrade <= "01";
		--dsig<='0';
	elsif (done='0') then

      if (slowclk'event and slowclk = '0') then
		
		if hit0 = "11" then
		   g0 := "00000001";
		else
		   g0 := "00000000";
		end if;

      if hit1 = "11" then
		   g1 := "00000001";
		else
		   g1 := "00000000";
		end if;

		if hit2 = "11" then
		   g2 := "00000001";
		else
		   g2 := "00000000";
		end if;

		if hit3 = "11" then
		   g3 := "00000001";
		else
		   g3 := "00000000";
		end if;

	 	final <= final + g0 + g1 + g2 + g3;
	 	gdone<='0';
		end if;
	 elsif (done = '1') then 
	 	if(final >"00010100") then
			fgrade<="00";
		elsif (final>"00000111" and final <="00010100") then
			fgrade<="01";
		else
			fgrade<="10";
		end if;
		gdone<='1';
	 end if;
	 --gdone<=dsig;
	 gout<=final;
end process;	



end Behavioral;
