VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName Virtex
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL lcen
        SIGNAL loen
        SIGNAL lwen
        SIGNAL laddr(18:0)
        SIGNAL ppstatus(6:3)
        SIGNAL ldata(15:0)
        SIGNAL ppdata(7:0)
        SIGNAL canread
        SIGNAL continue
        SIGNAL XLXN_28(15:0)
        SIGNAL count(1:0)
        SIGNAL readAddr(18:0)
        SIGNAL XLXN_32
        SIGNAL readdone
        SIGNAL outdata(3:0)
        SIGNAL clk
        SIGNAL resetn
        SIGNAL XLXN_44(18:0)
        SIGNAL XLXN_45(15:0)
        SIGNAL XLXN_46
        SIGNAL dline
        SIGNAL IssueRead
        SIGNAL done
        SIGNAL stopaddr(18:0)
        SIGNAL startaddr(18:0)
        PORT Input ppdata(7:0)
        PORT Output lcen
        PORT Output loen
        PORT Output lwen
        PORT Output laddr(18:0)
        PORT Output ppstatus(6:3)
        PORT BiDirectional ldata(15:0)
        PORT Output readdone
        PORT Output outdata(3:0)
        PORT Input clk
        PORT Input resetn
        PORT Output done
        PORT Input stopaddr(18:0)
        PORT Input startaddr(18:0)
        PORT Input IssueRead
        BEGIN BLOCKDEF fbit1time
            TIMESTAMP 2004 3 11 13 54 14
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -288 384 -288 
            LINE N 320 -192 384 -192 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCKDEF sraminterfacewithpport
            TIMESTAMP 2004 3 8 13 13 2
            RECTANGLE N 64 -576 320 0 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF memread
            TIMESTAMP 2004 3 11 9 58 52
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -288 384 -288 
            LINE N 320 -208 384 -208 
            LINE N 320 -128 384 -128 
            LINE N 320 -48 384 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF out4bit
            TIMESTAMP 2004 3 9 16 18 14
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCKDEF zeros
            TIMESTAMP 2004 3 9 17 16 46
            RECTANGLE N 64 -192 320 0 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fbit1time
            PIN continue continue
            PIN resetn resetn
            PIN CLK clk
            PIN stopaddr(18:0) stopaddr(18:0)
            PIN startaddr(18:0) startaddr(18:0)
            PIN done dline
            PIN count(1:0) count(1:0)
            PIN ReadAddr(18:0) readAddr(18:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 sraminterfacewithpport
            PIN CLK clk
            PIN Resetn resetn
            PIN doRead XLXN_32
            PIN doWrite XLXN_46
            PIN readAddr(18:0) readAddr(18:0)
            PIN writeAddr(18:0) XLXN_44(18:0)
            PIN writeData(15:0) XLXN_45(15:0)
            PIN ppdata(7:0) ppdata(7:0)
            PIN canRead canread
            PIN canWrite
            PIN CELeftn lcen
            PIN OELeftn loen
            PIN WELeftn lwen
            PIN readData(15:0) XLXN_28(15:0)
            PIN SRAMLeftAddr(18:0) laddr(18:0)
            PIN ppstatus(6:3) ppstatus(6:3)
            PIN SRAMLeftData(15:0) ldata(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 memread
            PIN CLK clk
            PIN cr canread
            PIN done dline
            PIN IssueRead IssueRead
            PIN resetn resetn
            PIN continue continue
            PIN dr XLXN_32
            PIN finished done
            PIN rdone readdone
        END BLOCK
        BEGIN BLOCK XLXI_5 out4bit
            PIN count(1:0) count(1:0)
            PIN datain(15:0) XLXN_28(15:0)
            PIN outdata(3:0) outdata(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 zeros
            PIN Wdone XLXN_46
            PIN Waddr(18:0) XLXN_44(18:0)
            PIN Wdata(15:0) XLXN_45(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN BRANCH lcen
            WIRE 3856 1712 3872 1712
            WIRE 3872 1712 3968 1712
            WIRE 3968 1712 3984 1712
        END BRANCH
        BEGIN BRANCH loen
            WIRE 3856 1776 3872 1776
            WIRE 3872 1776 3968 1776
            WIRE 3968 1776 3984 1776
        END BRANCH
        BEGIN BRANCH lwen
            WIRE 3856 1840 3872 1840
            WIRE 3872 1840 3968 1840
            WIRE 3968 1840 3984 1840
        END BRANCH
        BEGIN BRANCH laddr(18:0)
            WIRE 3856 1968 3872 1968
            WIRE 3872 1968 3952 1968
            WIRE 3952 1968 3968 1968
        END BRANCH
        BEGIN BRANCH ppstatus(6:3)
            WIRE 3856 2032 3872 2032
            WIRE 3872 2032 3952 2032
            WIRE 3952 2032 3968 2032
        END BRANCH
        BEGIN BRANCH ldata(15:0)
            WIRE 3856 2096 3872 2096
            WIRE 3872 2096 3952 2096
            WIRE 3952 2096 3968 2096
        END BRANCH
        IOMARKER 3968 2096 ldata(15:0)
        IOMARKER 3968 2032 ppstatus(6:3)
        IOMARKER 3968 1968 laddr(18:0)
        IOMARKER 3984 1840 lwen
        IOMARKER 3984 1776 loen
        IOMARKER 3984 1712 lcen
        BEGIN BRANCH ppdata(7:0)
            WIRE 3280 2032 3296 2032
            WIRE 3296 2032 3472 2032
        END BRANCH
        IOMARKER 3280 2032 ppdata(7:0)
        BEGIN INSTANCE XLXI_3 3472 2128 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 2816 1344 R0
        END INSTANCE
        BEGIN BRANCH canread
            WIRE 2608 1120 2624 1120
            WIRE 2624 1120 2816 1120
            BEGIN DISPLAY 2608 1120 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1 2256 1808 R0
        END INSTANCE
        BEGIN BRANCH dline
            WIRE 2640 1520 2720 1520
            WIRE 2720 1184 2720 1520
            WIRE 2720 1184 2784 1184
            WIRE 2784 1184 2816 1184
            BEGIN DISPLAY 2784 1184 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH continue
            WIRE 3200 1056 3264 1056
            WIRE 3264 1056 3280 1056
            DISPLAY 3280 1056 ATTR Name
        END BRANCH
        BEGIN BRANCH continue
            WIRE 2144 1520 2256 1520
            BEGIN DISPLAY 2144 1520 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_28(15:0)
            WIRE 3856 1904 3984 1904
            WIRE 3984 1904 4144 1904
            WIRE 4144 1744 4144 1904
            WIRE 4144 1744 4288 1744
            WIRE 4288 1744 4304 1744
        END BRANCH
        BEGIN INSTANCE XLXI_5 4304 1776 R0
        END INSTANCE
        BEGIN BRANCH count(1:0)
            WIRE 4240 1680 4304 1680
            BEGIN DISPLAY 4240 1680 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH count(1:0)
            WIRE 2640 1616 2704 1616
            DISPLAY 2704 1616 ATTR Name
        END BRANCH
        BEGIN BRANCH readAddr(18:0)
            WIRE 2640 1712 2656 1712
            WIRE 2656 1712 3056 1712
            WIRE 3056 1712 3056 1840
            WIRE 3056 1840 3472 1840
        END BRANCH
        BEGIN BRANCH XLXN_32
            WIRE 3200 1136 3328 1136
            WIRE 3328 1136 3328 1712
            WIRE 3328 1712 3456 1712
            WIRE 3456 1712 3472 1712
        END BRANCH
        BEGIN BRANCH readdone
            WIRE 3200 1296 3648 1296
            WIRE 3648 1296 3664 1296
        END BRANCH
        BEGIN BRANCH canread
            WIRE 3856 1584 3968 1584
            WIRE 3968 1584 3984 1584
            DISPLAY 3984 1584 ATTR Name
        END BRANCH
        BEGIN BRANCH outdata(3:0)
            WIRE 4688 1680 4768 1680
        END BRANCH
        IOMARKER 4768 1680 outdata(3:0)
        BEGIN BRANCH resetn
            WIRE 2048 1584 2256 1584
        END BRANCH
        BEGIN BRANCH clk
            WIRE 2048 1648 2256 1648
        END BRANCH
        IOMARKER 2048 1584 resetn
        IOMARKER 2048 1648 clk
        BEGIN BRANCH clk
            WIRE 2704 1056 2720 1056
            WIRE 2720 1056 2816 1056
            BEGIN DISPLAY 2704 1056 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetn
            WIRE 2672 1312 2688 1312
            WIRE 2688 1312 2816 1312
            BEGIN DISPLAY 2672 1312 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 3296 1584 3312 1584
            WIRE 3312 1584 3472 1584
            BEGIN DISPLAY 3296 1584 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH resetn
            WIRE 3296 1648 3312 1648
            WIRE 3312 1648 3472 1648
            BEGIN DISPLAY 3296 1648 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_6 2640 2000 R0
        END INSTANCE
        BEGIN BRANCH XLXN_44(18:0)
            WIRE 3024 1904 3040 1904
            WIRE 3040 1904 3472 1904
        END BRANCH
        BEGIN BRANCH XLXN_45(15:0)
            WIRE 3024 1968 3040 1968
            WIRE 3040 1968 3472 1968
        END BRANCH
        BEGIN BRANCH XLXN_46
            WIRE 3024 1840 3040 1840
            WIRE 3040 1776 3040 1840
            WIRE 3040 1776 3472 1776
        END BRANCH
        BEGIN BRANCH done
            WIRE 3200 1216 3264 1216
            WIRE 3264 1216 3520 1216
            WIRE 3520 1216 3536 1216
        END BRANCH
        IOMARKER 3536 1216 done
        IOMARKER 3664 1296 readdone
        BEGIN BRANCH stopaddr(18:0)
            WIRE 2048 1712 2256 1712
        END BRANCH
        BEGIN BRANCH startaddr(18:0)
            WIRE 2048 1776 2256 1776
        END BRANCH
        IOMARKER 2048 1712 stopaddr(18:0)
        IOMARKER 2048 1776 startaddr(18:0)
        BEGIN BRANCH IssueRead
            WIRE 2448 1248 2816 1248
        END BRANCH
        IOMARKER 2448 1248 IssueRead
    END SHEET
END SCHEMATIC
