library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity shift50b is
    Port ( doshift : in std_logic;                                            
            resetn : in std_logic;
				patternin : in std_logic;
           patternout : out std_logic_vector(29 downto 0));
end shift50b;

architecture Behavioral of shift50b is
signal preg : std_logic_vector(29 downto 0) := (others => '0');
begin
process(preg,resetn,doshift,patternin)
begin
    
    if resetn='0' then
        preg <= (others => '0');
    else
        if doshift'event and doshift = '1' then
            preg(28 downto 0) <= preg(29 downto 1);
            preg(29) <= patternin;
        end if;
        patternout <= preg;
    end if;
end process;




end Behavioral;
