VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName Virtex
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL blankn
        SIGNAL pixel(7:0)
        SIGNAL rramce
        SIGNAL triste
        SIGNAL vsync
        SIGNAL hsync
        SIGNAL WRn
        SIGNAL RDn
        SIGNAL clk
        SIGNAL rstn
        SIGNAL sdone
        SIGNAL pixelclk
        SIGNAL RAMDACD(7:0)
        SIGNAL RS(2:0)
        SIGNAL grade(1:0)
        SIGNAL hit4(1:0)
        SIGNAL hit3(1:0)
        SIGNAL hit2(1:0)
        SIGNAL hit1(1:0)
        SIGNAL inin(119:0)
        PORT Output blankn
        PORT Output pixel(7:0)
        PORT Output rramce
        PORT Output triste
        PORT Output vsync
        PORT Output hsync
        PORT Output WRn
        PORT Output RDn
        PORT Input clk
        PORT Input rstn
        PORT Input sdone
        PORT Output pixelclk
        PORT Output RAMDACD(7:0)
        PORT Output RS(2:0)
        PORT Input grade(1:0)
        PORT Input hit4(1:0)
        PORT Input hit3(1:0)
        PORT Input hit2(1:0)
        PORT Input hit1(1:0)
        PORT Input inin(119:0)
        BEGIN BLOCKDEF vga
            TIMESTAMP 2004 3 22 6 58 44
            RECTANGLE N 64 -704 320 0 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 320 -672 384 -672 
            LINE N 320 -608 384 -608 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 vga
            PIN clk clk
            PIN rstn rstn
            PIN sdone sdone
            PIN hit0(1:0) hit4(1:0)
            PIN hit1(1:0) hit3(1:0)
            PIN hit2(1:0) hit2(1:0)
            PIN hit3(1:0) hit1(1:0)
            PIN wholelist(119:0) inin(119:0)
            PIN grade(1:0) grade(1:0)
            PIN blankn blankn
            PIN RDn RDn
            PIN WRn WRn
            PIN hsync hsync
            PIN vsync vsync
            PIN triste triste
            PIN rramce rramce
            PIN pixelclk pixelclk
            PIN pixel(7:0) pixel(7:0)
            PIN RAMDACD(7:0) RAMDACD(7:0)
            PIN RS(2:0) RS(2:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH blankn
            WIRE 1696 784 1840 784
            WIRE 1840 784 1856 784
        END BRANCH
        BEGIN BRANCH pixel(7:0)
            WIRE 1696 1296 1824 1296
            WIRE 1824 1296 1840 1296
        END BRANCH
        BEGIN BRANCH rramce
            WIRE 1696 1168 1808 1168
            WIRE 1808 1168 1824 1168
        END BRANCH
        BEGIN BRANCH triste
            WIRE 1696 1104 1808 1104
            WIRE 1808 1104 1824 1104
        END BRANCH
        BEGIN BRANCH vsync
            WIRE 1696 1040 1808 1040
            WIRE 1808 1040 1824 1040
        END BRANCH
        BEGIN BRANCH hsync
            WIRE 1696 976 1808 976
            WIRE 1808 976 1824 976
        END BRANCH
        BEGIN BRANCH WRn
            WIRE 1696 912 1808 912
            WIRE 1808 912 1824 912
        END BRANCH
        BEGIN BRANCH RDn
            WIRE 1696 848 1808 848
            WIRE 1808 848 1824 848
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1072 784 1088 784
            WIRE 1088 784 1312 784
        END BRANCH
        BEGIN BRANCH rstn
            WIRE 1056 848 1072 848
            WIRE 1072 848 1312 848
        END BRANCH
        BEGIN BRANCH sdone
            WIRE 992 912 1008 912
            WIRE 1008 912 1312 912
        END BRANCH
        BEGIN BRANCH pixelclk
            WIRE 1696 1232 1808 1232
            WIRE 1808 1232 1824 1232
        END BRANCH
        BEGIN BRANCH RAMDACD(7:0)
            WIRE 1696 1360 1824 1360
            WIRE 1824 1360 1840 1360
        END BRANCH
        BEGIN BRANCH RS(2:0)
            WIRE 1696 1424 1824 1424
            WIRE 1824 1424 1840 1424
        END BRANCH
        BEGIN BRANCH grade(1:0)
            WIRE 1216 1296 1232 1296
            WIRE 1232 1296 1312 1296
        END BRANCH
        BEGIN BRANCH hit4(1:0)
            WIRE 1024 976 1040 976
            WIRE 1040 976 1312 976
        END BRANCH
        BEGIN BRANCH hit3(1:0)
            WIRE 1024 1056 1040 1056
            WIRE 1040 1040 1040 1056
            WIRE 1040 1040 1312 1040
        END BRANCH
        BEGIN BRANCH hit2(1:0)
            WIRE 1024 1104 1040 1104
            WIRE 1040 1104 1312 1104
        END BRANCH
        BEGIN BRANCH hit1(1:0)
            WIRE 1024 1136 1040 1136
            WIRE 1040 1136 1040 1168
            WIRE 1040 1168 1312 1168
        END BRANCH
        BEGIN BRANCH inin(119:0)
            WIRE 1056 1232 1296 1232
            WIRE 1296 1232 1312 1232
        END BRANCH
        IOMARKER 1856 784 blankn
        IOMARKER 1824 848 RDn
        IOMARKER 1824 912 WRn
        IOMARKER 1824 976 hsync
        IOMARKER 1824 1040 vsync
        IOMARKER 1824 1104 triste
        IOMARKER 1824 1168 rramce
        IOMARKER 1840 1296 pixel(7:0)
        IOMARKER 1840 1360 RAMDACD(7:0)
        IOMARKER 1824 1232 pixelclk
        IOMARKER 1840 1424 RS(2:0)
        IOMARKER 1072 784 clk
        IOMARKER 1056 848 rstn
        IOMARKER 992 912 sdone
        IOMARKER 1024 976 hit4(1:0)
        IOMARKER 1024 1056 hit3(1:0)
        IOMARKER 1024 1104 hit2(1:0)
        IOMARKER 1024 1136 hit1(1:0)
        IOMARKER 1056 1232 inin(119:0)
        IOMARKER 1216 1296 grade(1:0)
        BEGIN INSTANCE XLXI_1 1312 1456 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
